Bug 166192 - Review Request: perl-Class-DBI-Plugin : Abstract base class for Class::DBI plugins
Summary: Review Request: perl-Class-DBI-Plugin : Abstract base class for Class::DBI pl...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-DBI...
Whiteboard:
Depends On: 166184
Blocks: FE-ACCEPT 166193 166194
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:36 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 23:38:49 UTC


Attachments (Terms of Use)
Patch addressing review issues (1.45 KB, patch)
2005-08-26 09:56 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:36:37 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin-0.03-2.src.rpm

Description: 

Abstract base class for Class::DBI plugins

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-08-26 09:53:22 UTC
Review:

- rpmlint clean
- package and spec name OK
- package meets guidelines
- license same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- no locales, libraries, subpackages or pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Nitpick:

- BR: perl is redundant
- add %{?_smp_mflags} to "make"
- add BR: perl(DBD::SQLite) perl(SQL::Abstract) for extra test cover
- license text missing; suggest usual fix


Comment 2 Paul Howarth 2005-08-26 09:56:59 UTC
Created attachment 118138 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-08-31 09:21:26 UTC
Approved.

Please use "-t" option to "perldoc"; sorry I forgot that in patch.



Note You need to log in before you can comment on or make changes to this bug.